Package relaxngcc.grammar

# Class NGCCCallParam

java.lang.Object
relaxngcc.grammar.NGCCCallParam

public class NGCCCallParam extends Object
Parameters attached to a <ref> pattern.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`NGCCCallParam(ParserRuntime rt, String withParams_, String alias_)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`
`String`
`getWithParams()`
`void`
`setWithParams(String withParams)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NGCCCallParam

public NGCCCallParam(ParserRuntime rt, String withParams_, String alias_)

## Method Details

### getAlias

public String getAlias()

### getWithParams

public String getWithParams()

### setWithParams

public void setWithParams(String withParams)